package com.example.lifecyclelogger;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity(tableName = "lifecycle_events")
public class LifecycleEvent {

    @PrimaryKey(autoGenerate = true)
    private int id;

    private String eventName;
    private long timestamp;

    public LifecycleEvent(String eventName, long timestamp) {
        this.eventName = eventName;
        this.timestamp = timestamp;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getEventName() {
        return eventName;
    }

    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }
}
