package com.example.lifecyclelogger;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.Query;

import java.util.List;

@Dao
public interface LifecycleEventDao {

    @Insert
    void insertEvent(LifecycleEvent event);

    @Query("SELECT * FROM lifecycle_events ORDER BY timestamp DESC")
    List<LifecycleEvent> getAllEvents();

    @Query("DELETE FROM lifecycle_events")
    void deleteAllEvents();
}
